/***************************************************************************
 *   Copyright Brian Ledbetter 2001-2003 <brian@shadowcom.net>             *
 *   Copyright Ravikiran Rajagopal 2003                                    *
 *   ravi@ee.eng.ohio-state.edu                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License (version 2) as   *
 *   published by the Free Software Foundation. (The original KSplash/ML   *
 *   codebase (upto version 0.95.3) is BSD-licensed.)                      *
 *                                                                         *
 ***************************************************************************/

#ifndef  __ICONBAR_H__
#define  __ICONBAR_H__

#include <qlabel.h>
#include <qwidget.h>

#include <kpixmap.h>

#include "icon.h"

/**
 * @short Provide a "container" for a group of Icons.
 * This will understand how to position and scale icons (or tell icons which scale
 * they need to be).
 */
class  IconBar: public QLabel
{
  Q_OBJECT
public:
  IconBar();
  ~IconBar();

public slots:
  void appendIcon( Icon * );

private slots:
  void positionIcons();

protected:
  void resizeEvent( QResizeEvent * );
  QList<Icon> mIcons;
};

#endif
